<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{D98BE764-ADEB-488D-9714-61E308AA8201}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>WebFun_base</RootNamespace>
    <AssemblyName>08WebFun_base</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\dll\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="MQTTnet">
      <HintPath>..\..\dll\MQTTnet.dll</HintPath>
    </Reference>
    <Reference Include="MQTTnet.Extensions.ManagedClient">
      <HintPath>..\..\dll\MQTTnet.Extensions.ManagedClient.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Class1.cs" />
    <Compile Include="MesWebFun_base.cs" />
    <Compile Include="MesWebFun_baseFun.cs" />
    <Compile Include="MesWebFun_MateriallPull.cs" />
    <Compile Include="MesWebFun_MateriallPullFun.cs" />
    <Compile Include="MesWebFun_Special.cs" />
    <Compile Include="MisWebInterfaceFunc\Tab_OperateGuid.cs" />
    <Compile Include="MisWebInterfaceFunc\Web_Common_Barcode.cs" />
    <Compile Include="MisWebInterfaceFunc\Web_Common_ShowEngineID.cs" />
    <Compile Include="MisWebInterfaceFunc\Web_Common_ShowQuality.cs" />
    <Compile Include="MisWebInterfaceFunc\Web_Common_ShowTime.cs" />
    <Compile Include="MisWebInterfaceFunc\Web_FixGuiad.cs" />
    <Compile Include="MisWebInterfaceFunc\Web_Init.cs" />
    <Compile Include="MisWebInterfaceFunc\Web_MaterialCheck.cs" />
    <Compile Include="MisWebInterfaceFunc\Web_Notice.cs" />
    <Compile Include="MisWebInterfaceFunc\Web_OutLineRepair.cs" />
    <Compile Include="MisWebInterfaceFunc\Web_Socket.cs" />
    <Compile Include="MisWebInterfaceFunc\Web_Socket_Interface.cs" />
    <Compile Include="MisWebInterfaceFunc\WWW - 复制 - 复制%282%29.cs" />
    <Compile Include="MisWebInterfaceFunc\WWW - 复制 - 复制%283%29.cs" />
    <Compile Include="MisWebInterfaceFunc\WWW - 复制 - 复制%284%29.cs" />
    <Compile Include="MisWebInterfaceFunc\WWW - 复制 - 复制%285%29.cs" />
    <Compile Include="MisWebInterfaceFunc\WWW - 复制 - 复制%286%29.cs" />
    <Compile Include="MisWebInterfaceFunc\WWW - 复制 - 复制%287%29.cs" />
    <Compile Include="MisWebInterfaceFunc\WWW - 复制 - 复制%288%29.cs" />
    <Compile Include="MisWebInterfaceFunc\WWW - 复制 - 复制%289%29.cs" />
    <Compile Include="MisWebInterfaceFunc\WWW - 复制 - 复制.cs" />
    <Compile Include="MisWebInterfaceFunc\WWW - 复制.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Reference.cs" />
    <Compile Include="SpecialFun\WebFunction01.cs" />
    <Compile Include="SpecialFun\WebFunction02.cs" />
    <Compile Include="SpecialFun\WebFunction04.cs" />
    <Compile Include="SpecialFun\WebFunction05.cs" />
    <Compile Include="SpecialFun\WebFunction06.cs" />
    <Compile Include="SpecialFun\WebFunction07.cs" />
    <Compile Include="SpecialFun\WebFunction08.cs" />
    <Compile Include="SpecialFun\WebFunction10.cs" />
    <Compile Include="SpecialFun\WebFunction11.cs" />
    <Compile Include="SpecialFun\WebFunction12.cs" />
    <Compile Include="SpecialFun\WebFunction13.cs" />
    <Compile Include="SpecialFun\WebFunction14.cs" />
    <Compile Include="SpecialFun\WebFunction15.cs" />
    <Compile Include="SpecialFun\WebFunction16.cs" />
    <Compile Include="SpecialFun\WebFunction17.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\00-1Json8.3\Json8.3\00-0Json8.3.1.csproj">
      <Project>{1a10fdb2-1a6a-44a8-ab4d-33387563247e}</Project>
      <Name>00-0Json8.3.1</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\00MesWorkMqtt\MesWorkMqtt\00MesWorkMqtt.csproj">
      <Project>{f55da1a0-a982-4479-8c47-0d9a5aaf3e18}</Project>
      <Name>00MesWorkMqtt</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\01DoWhatPlc\01_01DoWhatPlc.csproj">
      <Project>{0d1af432-439a-4920-8692-43ae139f5530}</Project>
      <Name>01_01DoWhatPlc</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\04DataBaseAccess\DataBaseAccess\04-DataBaseAccess.csproj">
      <Project>{f434e066-4c59-47c8-aa82-6f48cc84501a}</Project>
      <Name>04-DataBaseAccess</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\07WebBusinessFacade\BusinessFacade\07BusinessFacade.csproj">
      <Project>{f0a0c525-03fd-428a-9b17-7f54aa0e4475}</Project>
      <Name>07BusinessFacade</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>